tbb::interface5::internal::hash_map_base::bucket Struct Reference

Bucket type. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::internal::hash_map_base::bucket:
Collaboration diagram for tbb::interface5::internal::hash_map_base::bucket:

## Public Types

typedef spin_rw_mutex | mutex_t
| Mutex type for buckets. More...
typedef mutex_t::scoped_lock | scoped_t
| Scoped lock type for mutex. More...

## Public Attributes

mutex_t | mutex
node_base * | node_list

## Additional Inherited Members

Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Bucket type.

Definition at line 93 of file concurrent_hash_map.h.

## Member Typedef Documentation

## mutex_t

typedef spin_rw_mutex tbb::interface5::internal::hash_map_base::bucket::mutex_t

Mutex type for buckets.

Definition at line 95 of file concurrent_hash_map.h.

## scoped_t

typedef mutex_t::scoped_lock tbb::interface5::internal::hash_map_base::bucket::scoped_t

Scoped lock type for mutex.

Definition at line 97 of file concurrent_hash_map.h.

## Member Data Documentation

## mutex

mutex_t tbb::interface5::internal::hash_map_base::bucket::mutex

Definition at line 98 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::bucket_accessor::acquire(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::clear(), tbb::interface5::internal::hash_map_base::init_buckets(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_fast_find(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash_bucket().

## node_list

node_base* tbb::interface5::internal::hash_map_base::bucket::node_list

Definition at line 99 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::bucket_accessor::acquire(), tbb::interface5::internal::hash_map_base::add_to_bucket(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::begin(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::clear(), tbb::interface5::internal::hash_map_base::init_buckets(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_copy(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_equal_range(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_fast_find(), tbb::interface5::internal::hash_map_base::internal_move(), tbb::interface5::internal::hash_map_base::internal_swap(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash_bucket(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::search_bucket(), and tbb::interface5::internal::hash_map_range< Iterator >::set_midpoint().

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.